package schedframe.scheduling.tasks.phases;

import java.util.LinkedList;

public class ExecutionProfile {
	
	protected LinkedList<ResourceConsumption> resourceConsumptionList;
	protected long usefulWork;
	private int currentPhase;

	public ExecutionProfile(LinkedList<ResourceConsumption> resourceConsumptionList) {
		this.resourceConsumptionList = resourceConsumptionList;
		this.currentPhase = 0;
	}
	
	public LinkedList<ResourceConsumption> getResourceConsumptionList(){
		return resourceConsumptionList;
	}
	
	public ResourceConsumption getCurrentResourceConsumption(){
		return resourceConsumptionList.get(currentPhase);
	}

	public int getCurrentPhase() {
		return currentPhase;
	}

	public void setCurrentPhase(int currentPhase) {
		this.currentPhase = currentPhase;
	}

	public long getUsefulWork() {
		return usefulWork;
	}

	public void setUsefulWork(long usefulWork) {
		this.usefulWork = usefulWork;
	}
	
	public boolean isLast(){
		if(currentPhase == resourceConsumptionList.size() - 1){
			return true;
		}
		return false;
	}
}
